- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

Modules | Typedefs | Enumerations
Edje Part
Edje » Edje Object

Functions that deal with layout components. More...

## Modules
| Edje Text Part
| Functions that deal with parts of type text.
| Edje Swallow Part
| Functions that deal with parts of type swallow and swallowed objects.
| Edje Drag
| Functions that deal with dragable parts.
| Edje Box Part
| Functions that deal with parts of type box.
| Edje Table Part
| Functions that deal with parts of type table.

## Typedefs
typedef enum _Edje_Part_Type | Edje_Part_Type
| All possible "part" types in Edje.

## Enumerations
enum | _Edje_Part_Type { EDJE_PART_TYPE_NONE = 0, EDJE_PART_TYPE_RECTANGLE = 1, EDJE_PART_TYPE_TEXT = 2, EDJE_PART_TYPE_IMAGE = 3, EDJE_PART_TYPE_SWALLOW = 4, EDJE_PART_TYPE_TEXTBLOCK = 5, EDJE_PART_TYPE_GRADIENT = 6, EDJE_PART_TYPE_GROUP = 7, EDJE_PART_TYPE_BOX = 8, EDJE_PART_TYPE_TABLE = 9, EDJE_PART_TYPE_EXTERNAL = 10, EDJE_PART_TYPE_PROXY = 11, EDJE_PART_TYPE_SPACER = 12, EDJE_PART_TYPE_LAST = 13 }

## Detailed Description

Functions that deal with layout components.

Parts are layout components, but as a layout, they are objects too.

There are several types of parts, these types can be divided into two main categories, the first being containers. Containers are parts that are in effect a group of elements. The second group is that of the elements, these part types may not contain others.

This section has some functions specific for some types and others that could be applied to any type.

## Enumeration Type Documentation

enum _Edje_Part_Type

Enumerator
EDJE_PART_TYPE_NONE | None type value.
EDJE_PART_TYPE_RECTANGLE | Rectangle type value.
EDJE_PART_TYPE_TEXT | Text type value.
EDJE_PART_TYPE_IMAGE | Image type value.
EDJE_PART_TYPE_SWALLOW | Swallow type value.
EDJE_PART_TYPE_TEXTBLOCK | Text block type value.
EDJE_PART_TYPE_GRADIENT | Gradient type value.
EDJE_PART_TYPE_GROUP | Group type value.
EDJE_PART_TYPE_BOX | Box type value.
EDJE_PART_TYPE_TABLE | Table type value.
EDJE_PART_TYPE_EXTERNAL | External type value.
EDJE_PART_TYPE_PROXY | Proxy type value.
EDJE_PART_TYPE_SPACER | Spacer type value. Since 1.7
EDJE_PART_TYPE_LAST | Last type value.